import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.Group;
import javafx.scene.paint.Color;
import javafx.scene.shape.Arc;
import javafx.scene.shape.ArcType;
import javafx.scene.shape.Ellipse;
import javafx.stage.Stage;
import java.util.Scanner;

public class PiPolygon extends Application
{
    static int n;
    public void start(Stage primaryStage)
    {
        Group root = new Group();
        for (int i=0; i<n; i++)
        {
            Arc arc = new Arc(350, 350, 300, 300, i*360.0/n, 360.0/n);
            arc.setType(ArcType.CHORD);
            arc.setStroke(Color.BLACK);
            arc.setFill(null);
            root.getChildren().add(arc);
        }

        Scene scene = new Scene(root, 700, 700, Color.LIGHTYELLOW);
        primaryStage.setTitle("Pi Polygon");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public static void main(String [] args)
    {
        Scanner scan = new Scanner(System.in);
        System.out.print ("Enter accuracy: ");
        double epsilon = scan.nextDouble();
        n = 4;
        double s, c, inner = 2.0, outer = 4.0;
        c = 1 / Math.sqrt(2);
        do {
            n = n * 2;
            s = Math.sqrt((1 - c) / 2);
            c = Math.sqrt((1 + c) / 2);
            inner = n * s * c;
            outer = n * s / c;
            System.out.println (n + "\t" + inner + "\t" + outer);
        } while (outer-inner > epsilon);
        launch(args); 
    }
}

